Download it now!
Bug 137180 - FILEOPEN RTF Bulleted list has wrong indentation
Summary: FILEOPEN RTF Bulleted list has wrong indentation
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: RTF-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2020-10-01 11:00 UTC by Buovjaga
Modified: 2020-10-14 08:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2020-10-01 11:00:50 UTC
1. Open attachment 103953 [details] from bug 82104
2. Compare to screenshot attachment 103954 [details]

The list on the row with "Session Host Server (web client)" has too large of an indent.

Bibisected with win32-5.2 to https://git.libreoffice.org/core/commit/3915bf2dc877d5f1140798e24933db0f21386a4a
tdf#95376 DOCX import: fix incorrectly indented tab stops

Adding Cc: to Miklos Vajna
Comment 1 Commit Notification 2020-10-13 07:03:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3ee3ae85de3a29ebfb89e75960b65417bfd6ca55

tdf#137180 RTF import: fix bad left margin with direct format/para style/num

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Buovjaga 2020-10-13 07:06:20 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 3ee3ae85de3a29ebfb89e75960b65417bfd6ca55
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 13 October 2020
Comment 3 Commit Notification 2020-10-14 08:34:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/b2c484c287ecd6c82822a2a672ee2193eba191df

tdf#137180 RTF import: fix bad left margin with direct format/para style/num

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.